library(ape)
library(phytools)
library(phyloch)

setwd("/Users/Nate/Desktop/VertLife-Project/MAMMALS-phylo-analyses/7_concatenatedRAxML/FIN4_all31_RAxML_9part-fin3_1")

#bestTree<-read.tree("RAxML_bestTree.result_FIN4")
#
#global<-root(read.tree("RAxML_bipartitions.result_FIN4_raw.tre"),"_Anolis_carolinensis",resolve.root=TRUE)
#global2<-drop.tip(global,"_Anolis_carolinensis") # just don't use drop.tip2 on an ML tree !!
#global3<-ladderize(global2)
#write.tree(global, "RAxML_bipartitions.result_FIN4_raw_rooted_wBoots_4099mam1out.newick")

#tree<-read.tree("RAxML_bipartitions.result_FIN4_raw_rooted_wBoots_4099mam1out.newick")
#tree2<-drop.tip(tree,"Myotis_moluccarum_VESPERTILIONIDAE_CHIROPTERA") # just don't use drop.tip2 on an ML tree !!
#write.tree(tree2, "RAxML_bipartitions.result_FIN4_raw_rooted_wBoots_4098mam1out_OK.newick")

global<-read.tree("RAxML_bipartitions.result_FIN4_raw_rooted_wBoots_4098mam1out_OK.newick")
global2<-drop.tip(global,"_Anolis_carolinensis") # just don't use drop.tip2 on an ML tree !!
global3<-ladderize(global2)


###
# PLOT the global tree to confirm.

pdf(file="MamPhy_globalRAxML_FIN4_108bootstraps_4098mam_linear_agesBP.pdf", width=8.5, height=188, onefile=TRUE)

#quartz(width=8.5, height=144)
plot(global3, cex=0.3, label.offset=0.01, y.lim=c(130,3950))

node.support(global3$node.label, mode="dots", col = "red", cex=0.3)
node.support(global3$node.label, mode="dots", cutoff=75, col = "black", cex=0.35)
node.support(global3$node.label, mode="numbers", digits=2,pos="pretty", col = "black", font=2, cex=0.3)
add.scale.bar(cex=0.6)

dev.off()

##
# Double-wide

pdf(file="MamPhy_globalRAxML_FIN4_108bootstraps_4098mam_linear_agesBP_2xWide.pdf", width=22, height=238, onefile=TRUE)

#quartz(width=8.5, height=144)
plot(global3, cex=0.45, label.offset=0.005, y.lim=c(130,3950))

node.support(global3$node.label, mode="dots", col = "red", cex=0.5)
node.support(global3$node.label, mode="dots", cutoff=75, col = "black", cex=0.55)
node.support(global3$node.label, mode="numbers", digits=2,pos="pretty", col = "black", font=2, cex=0.45)
add.scale.bar(cex=0.6)

dev.off()

#################
#########
# Now PRUNE OUT each PC
##

setwd("/Users/Nate/Desktop/VertLife-Project/MAMMALS-phylo-analyses/9_patch-PASTIS-ing")

clades<-read.table("MamPhy_5911sp_tipFamOrdGenesSampPC.txt")

colnames(clades)<-c("tiplabel","fam","ord","genes","samp","PC")

cladeReps<-read.table("clade_inRep_outgroup_BDvarRates.txt")
colnames(cladeReps)<-c("PC","in","out")

#clades[which(clades$genes==31),] ## returns just the species sampled for all genes. == 14 species
#length(clades[which(clades$genes > 29),"genes"]) ## yields 43 taxa.

PCS<-as.vector(cladeReps$PC)

for(i in 1:length(PCS)){
	PC<-as.vector(clades[which(clades$PC==PCS[i] & clades$samp=="sampled"),]$tiplabel)
	out<-as.vector(cladeReps[which(cladeReps$PC==PCS[i]),"out"])

	toKeep<-c(PC,out)
	toDrop<-setdiff(global3$tip.label,toKeep)

	PC_tree<-drop.tip(global3,toDrop)
	write.tree(PC_tree,paste("fromGlobalRAxML_",PCS[i],".tree",sep=""),digits=10)
}

as.vector(clades[which(clades$fam=="MURIDAE" & clades$samp=="sampled"),]$tiplabel)

###
# Now MAKE THE PASTISES

library(pastis)
library(caper)
library(mvtnorm)
library(ape)

setwd("/Users/Nate/Desktop/VertLife-Project/MAMMALS-phylo-analyses/9_patch-PASTIS-ing/_fromGlobalRAxML_constraint_PCS/PC1_Marsupials")

pastis_simple(base_name="PC1_Marsupials")


for(i in 3:length(PCS)){
	setwd(paste("/Users/Nate/Desktop/VertLife-Project/MAMMALS-phylo-analyses/9_patch-PASTIS-ing/_fromGlobalRAxML_constraint_PCS/",PCS[i],sep=""))
	pastis_simple(base_name=PCS[i])
}



